classification
Title: Memory leak in pythonrun.c
Type: behavior Stage: resolved
Components: Interpreter Core Versions: Python 3.2
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Refleaks in pythonrun.c
View: 10157
Assigned To: Nosy List: skrah, vstinner
Priority: normal Keywords: patch

Created on 2010-10-20 11:09 by skrah, last changed 2010-10-23 15:43 by skrah. This issue is now closed.

Files
File name Uploaded Description Edit
pythonrun2.patch skrah, 2010-10-21 19:34
Messages (2)
msg119201 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-10-20 11:09
Found by Valgrind, patch attached:

==4921== 24 bytes in 1 blocks are definitely lost in loss record 419 of 2,694
==4921==    at 0x4C2412C: malloc (vg_replace_malloc.c:195)
==4921==    by 0x417F06: _PyObject_New (object.c:244)
==4921==    by 0x520C4E: PyFile_NewStdPrinter (fileobject.c:364)
==4921==    by 0x499438: Py_InitializeEx (pythonrun.c:281)
==4921==    by 0x49951E: Py_Initialize (pythonrun.c:322)
==4921==    by 0x4B2579: Py_Main (main.c:587)
==4921==    by 0x417D6B: main (python.c:51)
msg119332 - (view) Author: Stefan Krah (skrah) * (Python committer) Date: 2010-10-21 19:34
There is actually a second refleak of the same kind. New patch attached.
History
Date User Action Args
2010-10-23 15:43:37skrahsetstatus: open -> closed
resolution: duplicate
superseder: Refleaks in pythonrun.c
stage: patch review -> resolved
2010-10-21 19:34:17skrahsetfiles: + pythonrun2.patch

messages: + msg119332
2010-10-21 19:33:25skrahsetfiles: - pythonrun.patch
2010-10-21 17:16:49pitrousetnosy: + vstinner
2010-10-20 11:09:34skrahcreate